
package com.jeelowcode.core.framework.config.aspect.enhancereport.model;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author JX
 * @create 2024-08-15 10:02
 * @dedescription:
 */
public class EnhanceReportParam implements Serializable {

    private String reportCode;

    private Map<String, Object> params;

    private List<Map<String, Object>> list;

    private Long dataId;

    private Page page;

    private List<Long> dataIdList;

    public String getReportCode() {
        return reportCode;
    }

    public void setReportCode(String reportCode) {
        this.reportCode = reportCode;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public List<Map<String, Object>> getList() {
        return list;
    }

    public void setList(List<Map<String, Object>> list) {
        this.list = list;
    }

    public EnhanceReportParam() {
    }

    public Long getDataId() {
        return dataId;
    }

    public void setDataId(Long dataId) {
        this.dataId = dataId;
    }

    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }

    public List<Long> getDataIdList() {
        return dataIdList;
    }

    public void setDataIdList(List<Long> dataIdList) {
        this.dataIdList = dataIdList;
    }

    public EnhanceReportParam(String reportCode, Map<String, Object> params, List<Map<String, Object>> list) {
        this.reportCode = reportCode;
        this.params = params;
        this.list = list;
    }

    public EnhanceReportParam(String reportCode, Map<String, Object> params, List<Map<String, Object>> list, Long dataId, Page page, List<Long> dataIdList) {
        this.reportCode = reportCode;
        this.params = params;
        this.list = list;
        this.dataId = dataId;
        this.page = page;
        this.dataIdList = dataIdList;
    }
}
